NestedFieldType< Field_T > Struct Template Reference

Used to return a string for the name of a nested templated field. More...

`#include <Traits.h>`

## Public Member Functions

const char * | name ()
| NestedFieldType ()

## Private Attributes

std::string | m_name

## Detailed Description

template<typename Field_T>
struct NestedFieldType< Field_T >

Used to return a string for the name of a nested templated field.

Definition at line 306 of file Traits.h.

## Constructor & Destructor Documentation

## NestedFieldType()

template<typename Field_T>

NestedFieldType< Field_T >::NestedFieldType | ( |  | ) |

inline

Definition at line 312 of file Traits.h.

{
typedef typename Field_T::NestedType NestedType;
typedef typename NestedType::value_type value_type;
m_name = Field_T::staticClassName();
m_name +=
std::string("<") + NestedType::staticClassName() + "<" +
DataTypeTraits<value_type>::name() + ">>";
}
DataTypeTraits::name
static std::string name()
Definition Traits.h:267
NestedFieldType
Used to return a string for the name of a nested templated field.
Definition Traits.h:307
NestedFieldType::m_name
std::string m_name
Definition Traits.h:323

References m_name, and DataTypeTraits< T >::name().

## Member Function Documentation

## name()

template<typename Field_T>

const char * NestedFieldType< Field_T >::name | ( |  | ) |

inline

Definition at line 308 of file Traits.h.

{
return m_name.c_str();
}

References m_name.

## Member Data Documentation

## m_name

template<typename Field_T>

std::string NestedFieldType< Field_T >::m_name

private

Definition at line 323 of file Traits.h.

Referenced by name(), and NestedFieldType().

The documentation for this struct was generated from the following file:

- export/Traits.h